Skip to main content
`Ctrl`+`K`

# PetscObjectComposedDataGetScalarstar

retrieve `PetscScalar` array data attached to a `PetscObject` that was set with `PetscObjectComposedDataSetScalarstar()` attached to an object

## Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataGetScalarstar(PetscObject obj, PetscInt id, PetscScalar *data, PetscBool flag)

Not Collective

## Input Parameters

- obj - the object from which data is to be retrieved

- id - the identifier for the data

## Output Parameters

- data - the data to be retrieved, a `PetscScalar` array

- flag - `PETSC_TRUE` if the data item exists and is valid, `PETSC_FALSE` otherwise

## Notes

The `data` and `flag` variables are inlined, so they are not pointers.

The length of the array accessed must be known, it is not available through this API.

## See Also

`PetscObjectComposedDataSetInt()`, `PetscObjectComposedDataSetReal()`, `PetscObjectComposedDataGetReal()`, `PetscObjectComposedDataSetIntstar()`, `PetscObjectComposedDataSetIntstar()`, `PetscObjectComposedDataGetInt()`, `PetscObject`, `PetscObjectCompose()`, `PetscObjectQuery()`, `PetscObjectComposedDataSetRealstar()`, `PetscObjectComposedDataSetScalarstar()`

## Level

developer

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages